<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStationRuleBatchesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('station_rule_batches', function (Blueprint $table) {
            $table->id();
            $table->string('name')->index()->nullable();
            $table->integer('station_type_id')->index()->nullable();
            $table->string('batch_type')->index()->nullable();
            $table->integer('owner_id')->index()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('station_rule_batches');
    }
}
